Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.context
Class PartialViewContextImpl

    java.lang.Object
      javax.faces.context.PartialViewContext
          org.richfaces.context.PartialViewContextImpl

    public class PartialViewContextImpl

extends javax.faces.context.PartialViewContext

Since:
  4.0
Author:
  Nick Belaevski

Field Summary

Fields inherited from class javax.faces.context.PartialViewContext
`ALL_PARTIAL_PHASE_CLIENT_IDS, PARTIAL_EXECUTE_PARAM_NAME, PARTIAL_RENDER_PARAM_NAME`

Constructor Summary
`PartialViewContextImpl(javax.faces.context.PartialViewContext wrappedViewContext, javax.faces.context.FacesContext facesContext)`

Method Summary
`protected void` | `addImplicitExecuteIds(java.util.Collection<java.lang.String> ids)`
`protected void` | `addImplicitRenderIds(java.util.Collection<java.lang.String> ids, boolean limitRender)`
`protected org.richfaces.context.PartialViewContextImpl.ContextMode` | `detectContextMode()`
`protected void` | `executeComponents(javax.faces.event.PhaseId phaseId, java.util.Collection<java.lang.String> executeIds)`
`java.util.Collection<java.lang.String>` | `getExecuteIds()`
`javax.faces.context.PartialResponseWriter` | `getPartialResponseWriter()`
`java.util.Collection<java.lang.String>` | `getRenderIds()`
`boolean` | `isAjaxRequest()`
`boolean` | `isExecuteAll()`
`boolean` | `isPartialRequest()`
`boolean` | `isRenderAll()`
`void` | `processPartial(javax.faces.event.PhaseId phaseId)`
`protected void` | `processPartialExecutePhase(javax.faces.event.PhaseId phaseId)`
`protected void` | `processPartialRenderPhase()`
`void` | `release()`
`protected void` | `renderExtensions(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `setPartialRequest(boolean isPartialRequest)`
`void` | `setRenderAll(boolean isRenderAll)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PartialViewContextImpl

    public PartialViewContextImpl(javax.faces.context.PartialViewContext wrappedViewContext,
                                  javax.faces.context.FacesContext facesContext)

Method Detail

### getExecuteIds

    public java.util.Collection<java.lang.String> getExecuteIds()

  Specified by:
    `getExecuteIds` in class `javax.faces.context.PartialViewContext`

### getRenderIds

    public java.util.Collection<java.lang.String> getRenderIds()

  Specified by:
    `getRenderIds` in class `javax.faces.context.PartialViewContext`

### isAjaxRequest

    public boolean isAjaxRequest()

  Specified by:
    `isAjaxRequest` in class `javax.faces.context.PartialViewContext`

### isPartialRequest

    public boolean isPartialRequest()

  Specified by:
    `isPartialRequest` in class `javax.faces.context.PartialViewContext`

### setPartialRequest

    public void setPartialRequest(boolean isPartialRequest)

  Specified by:
    `setPartialRequest` in class `javax.faces.context.PartialViewContext`

### isExecuteAll

    public boolean isExecuteAll()

  Specified by:
    `isExecuteAll` in class `javax.faces.context.PartialViewContext`

### isRenderAll

    public boolean isRenderAll()

  Specified by:
    `isRenderAll` in class `javax.faces.context.PartialViewContext`

### setRenderAll

    public void setRenderAll(boolean isRenderAll)

  Specified by:
    `setRenderAll` in class `javax.faces.context.PartialViewContext`

### getPartialResponseWriter

    public javax.faces.context.PartialResponseWriter getPartialResponseWriter()

  Specified by:
    `getPartialResponseWriter` in class `javax.faces.context.PartialViewContext`

### processPartial

    public void processPartial(javax.faces.event.PhaseId phaseId)

  Specified by:
    `processPartial` in class `javax.faces.context.PartialViewContext`

### processPartialExecutePhase

    protected void processPartialExecutePhase(javax.faces.event.PhaseId phaseId)

### executeComponents

    protected void executeComponents(javax.faces.event.PhaseId phaseId,
                                     java.util.Collection<java.lang.String> executeIds)

### processPartialRenderPhase

    protected void processPartialRenderPhase()

### release

    public void release()

  Specified by:
    `release` in class `javax.faces.context.PartialViewContext`

### addImplicitExecuteIds

    protected void addImplicitExecuteIds(java.util.Collection<java.lang.String> ids)

### addImplicitRenderIds

    protected void addImplicitRenderIds(java.util.Collection<java.lang.String> ids,
                                        boolean limitRender)

### renderExtensions

    protected void renderExtensions(javax.faces.context.FacesContext context,
                                    javax.faces.component.UIComponent component)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### detectContextMode

    protected org.richfaces.context.PartialViewContextImpl.ContextMode detectContextMode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.